Bug 102209 - [PATCH] HandleTouches, priv->num_active_touches is left unchanged
Summary: [PATCH] HandleTouches, priv->num_active_touches is left unchanged
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/synaptics (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-14 14:17 UTC by Alexander Mishurov
Modified: 2018-05-28 23:49 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Add an assignment (395 bytes, patch)
2017-08-14 14:17 UTC, Alexander Mishurov
no flags Details | Splinter Review
0001-Drop-HandleTouches-it-s-a-noop.patch (1.75 KB, patch)
2017-08-17 04:37 UTC, Peter Hutterer
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Mishurov 2017-08-14 14:17:07 UTC
Created attachment 133497 [details] [review]
Add an assignment

In the function HandleTouches, the variable new_active_touches is being allocated in a stack, incremented or decremented and then it's being removed from a stack without modifying the actual variable in the structure.
Comment 1 Peter Hutterer 2017-08-17 04:37:07 UTC
Created attachment 133566 [details] [review]
0001-Drop-HandleTouches-it-s-a-noop.patch

Looks like it's not actually needed, UpdateTouchState takes care of this and this whole function is a noop. Can you give this patch a try please? Thanks.
Comment 2 Alexander Mishurov 2017-08-17 08:17:44 UTC
(In reply to Peter Hutterer from comment #1)
> Created attachment 133566 [details] [review] [review]
> 0001-Drop-HandleTouches-it-s-a-noop.patch
> 
> Looks like it's not actually needed, UpdateTouchState takes care of this and
> this whole function is a noop. Can you give this patch a try please? Thanks.

I don't actually know how does it affect the behaviour of a pointer. I was working on another problem connected to a particular hardware - https://bugzilla.kernel.org/show_bug.cgi?id=196619 - and during skimming through the code I found that strange function. I've applied the patch, all I can report it doesn't break anything.
Comment 3 Peter Hutterer 2018-05-28 23:49:01 UTC
thx for testing, I pushed this one a while ago, closing

commit 6d3749105d964da5b4e534206fdb47f5ff8a697f
Author: Peter Hutterer <>
Date:   Thu Aug 17 13:10:31 2017 +1000

     Drop HandleTouches - it's a noop


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.